#146 plConfig.h define macro conflicts

None
closed-fixed
None
5
2014-08-24
2014-04-04
bicatali
No

plConfig.h.in contains:

#ifdef HAVE_CONFIG_H
#  include <plplot_config.h>
#endif

However plplot_config.h does not get installed.

Other software such as Gnu Data Language, are including plConfig.h and have defined the HAVE_CONFIG_H macro internally to their build system, since it is the standard autotools and usually cmake way. It results in error building GDL, as exemplified in:

https://bugs.gentoo.org/show_bug.cgi?id=503076

Would it be possible to use another macro?

Discussion

  • Alan W. Irwin

    Alan W. Irwin - 2014-04-04
    • status: open --> closed-fixed
    • assigned_to: Alan W. Irwin
    • Group: -->
     
  • Alan W. Irwin

    Alan W. Irwin - 2014-04-04

    Thanks for reporting this nameclash issue. I have now fixed that in the svn trunk version of PLplot by changing HAVE_CONFIG_H to PLPLOT_HAVE_CONFIG_H everywhere in our source tree. That fix will go into our next release.

     

Log in to post a comment.